attribute vec2 aPosition;
attribute vec2 aTexCoord;
attribute float aAlpha;

uniform mat4 uProjection;

#ifdef GL_ES
precision lowp float;
#endif

uniform vec4 uColor; 

#ifdef GL_ES
varying mediump vec2 vTextureCoord;
varying lowp vec4 vColor;
#else
varying vec2 vTextureCoord;
varying vec4 vColor;
#endif

void main(void) {
	gl_Position = uProjection * vec4(aPosition, 0.0, 1.0);
	vTextureCoord = aTexCoord;
	vColor = uColor * vec4(1, 1, 1, aAlpha);
}
